GNU bug report logs - #53232
29.0.50; pgtk startup: flashes white background before painting black

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: John Yates <john@HIDDEN>; Keywords: moreinfo notabug; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 53232 <at> debbugs.gnu.org and John Yates <john@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 17 Jan 2022 20:39:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 15:39:58 2022
Received: from localhost ([127.0.0.1]:48138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9YnG-0003as-Jg
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 15:39:58 -0500
Received: from mail-ua1-f46.google.com ([209.85.222.46]:43816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.yates.sheets@HIDDEN>) id 1n9YnE-0003af-3G
 for 53232 <at> debbugs.gnu.org; Mon, 17 Jan 2022 15:39:57 -0500
Received: by mail-ua1-f46.google.com with SMTP id 2so7953278uax.10
 for <53232 <at> debbugs.gnu.org>; Mon, 17 Jan 2022 12:39:56 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=oUz8iWzbKDeXtb+i13a39zDoOyZNVZ2LVN2DTsI1OZA=;
 b=NVGifmkpFWbz7LqfRTLA89470Yk7KkzE0BWYh5Kmkz3N5iZdC7yeVMuCgB/6YQZcgF
 dVjhUm/PeoM1y06546L4jMCzAmaijSdbHLHd9dyHYzYnx6LmpIbBHNvSXcO3Lpt6W2rD
 2mzsCqAceCSRGwREgAtMYcqpjX8ZKCNZlk/XGYDU0oJJtPSbmpv7kc/pYj9QjXvleJzC
 CiZjJ7K34q+nlTbzT8hVc740CVo2MucQe794Kso4WZyg/eU6Y9pmoJfmgREBtkdkXbE8
 QMZO+8hVa93969ws8mWeFW4Hlcb94gXwgTmXCav+Fh4HZs4oyZh7SR4XhHA2Qju6C8/N
 8cig==
X-Gm-Message-State: AOAM531gW4g9n1kpB6S1wxGGQDWCGFulUqxBXJ7bFvpZFc0q22NpwjOJ
 D/Ts14+n1u4jaW+dgWIfigMwHJtMsejcIRYnnmU=
X-Google-Smtp-Source: ABdhPJyC3CUAdS6mEBbLutH2X9hSXBLBYeA0CmcB1SdNRr2qsZolDKtrZvlmrP1Edh3dktf471xo5qPO8Msw42sJW2Y=
X-Received: by 2002:a05:6102:2279:: with SMTP id
 v25mr7652534vsd.22.1642451990471; 
 Mon, 17 Jan 2022 12:39:50 -0800 (PST)
MIME-Version: 1.0
References: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
 <CAJnXXoha85i_V4F8fm-+1T6pjw81=efVqdJfQD9S=cPQ3aJNbw@HIDDEN>
 <87ilui5l7h.fsf@HIDDEN> <8335lmw9es.fsf@HIDDEN>
In-Reply-To: <8335lmw9es.fsf@HIDDEN>
From: John Yates <john@HIDDEN>
Date: Mon, 17 Jan 2022 15:39:39 -0500
Message-ID: <CAJnXXog8g96q6wRuWL8uLvKNP_t7hWV3Qvd3fR0vLL4eh-Angg@HIDDEN>
Subject: Re: bug#53232: close 53232
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 53232
Cc: Po Lu <luangruo@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 53232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

I apologize for the tone of my most recent note.  My experimenting
was flawed.  When I hide my init.el I failed to delete init.elc.  Once
I deleted it my pgtk build performed as expected.

I have closed the bug.

On Mon, Jan 17, 2022 at 12:37 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> Isn't it true that to have the initial frame appear from the get-go
> with some non-default attributes, one must change the X resources?

In times past I did indeed establish X-resources.  Those are no longer
necessary.  I do not recall when I ditched them.  Perhaps it was around
the advent of early-init.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 17 Jan 2022 17:37:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 12:37:47 2022
Received: from localhost ([127.0.0.1]:47859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9Vwx-0000YQ-Dn
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 12:37:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n9Vwv-0000YE-Uz
 for 53232 <at> debbugs.gnu.org; Mon, 17 Jan 2022 12:37:46 -0500
Received: from [2001:470:142:3::e] (port=43602 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n9Vwq-0003Vh-DB; Mon, 17 Jan 2022 12:37:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=3I/Prxuby+rpM953MZY1IzCBplUwHPWmoG0OukJcViI=; b=Jw6yBcoHdNfO
 F0QnwxPVHmxjDupKBuZkVh4p4PHl4Rin5rCqsgcEBSzzwMMtBeDlyuuy2zxJzJHJDOBm/90QIzgKE
 m7RIgHeLR4msrwZ2nOd3vxxJNSmbbpeU6bBb+AERCPxOHST5Fzh4nL7qjp2q+yWhIwi7FWKqImWnC
 h7dERhG3YicPPT5Ydr3cumq4xWMVTa1eXvOdbCEceQs//kBCNISYvAfb8azBZKVP95hgnhOQfVkC5
 zuH45xLjNuqsYn0o0j3xzK/PhpNmu+wnIMJ6S6xrdU1u9n2op1gtLxoPGOs7OfA+NFOsdsW/J6fe2
 MujIuX1F2v33QNblR0Hr7Q==;
Received: from [87.69.77.57] (port=4324 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n9Vwq-0000XG-Eg; Mon, 17 Jan 2022 12:37:40 -0500
Date: Mon, 17 Jan 2022 19:37:31 +0200
Message-Id: <8335lmw9es.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87ilui5l7h.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 17 Jan 2022 18:24:50 +0100)
Subject: Re: bug#53232: reopen 53232
References: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
 <CAJnXXoha85i_V4F8fm-+1T6pjw81=efVqdJfQD9S=cPQ3aJNbw@HIDDEN>
 <87ilui5l7h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53232
Cc: luangruo@HIDDEN, 53232 <at> debbugs.gnu.org, john@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 17 Jan 2022 18:24:50 +0100
> Cc: Po Lu <luangruo@HIDDEN>, 53232 <at> debbugs.gnu.org
> 
> > That said, the sub-optimal behavior is real:
> >
> > * early-init.el:
> >
> >     (custom-set-variables
> >      '(default-frame-alist
> >        '((fullscreen . maximized)
> >          (background-color . "#000000")
> >          (foreground-color . "#ffffff")))
> >      '(inhibit-startup-screen t)
> >     )
> >
> > * init.el:
> >
> >     [EMPTY]
> 
> I'm unable to reproduce this with or without pgtk -- Emacs doesn't flash
> the default background colour on startup, as far as I can tell.  (This
> is on Debian/bookworm with Gnome Shell, if that matters.)

Isn't it true that to have the initial frame appear from the get-go
with some non-default attributes, one must change the X resources?  I
have a vague recollection that this was always like that, and was
never perceived as a problem.  How do you want Emacs to perform the
initialization without first creating a GUI frame, and how can it
create the first GUI frame except with the default attributes?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 17 Jan 2022 17:25:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 12:25:02 2022
Received: from localhost ([127.0.0.1]:47830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9Vkc-0006Op-37
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 12:25:02 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n9VkZ-0006OQ-Uu
 for 53232 <at> debbugs.gnu.org; Mon, 17 Jan 2022 12:25:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/q5siOIYsENqkCAdzS+4ZzIP3auWs5Fxy0rtgygDa54=; b=ddXQSMA5+69g/pf7NQU5wELlfj
 G8SOWIY+KRj4yOaOMfsR3JZ+Oof/f9lnTvn9DXEq88C8H1+k2luFxTWCaNUSF8PcP00imNjrJIbrp
 jBYe5HJzv61pFnQEO0EKFEJLdzg/EwK/rvAcYvJAv3HOcxm2KS5l0dL5oL3I7POap1zM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n9VkQ-0003HB-Sb; Mon, 17 Jan 2022 18:24:53 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: John Yates <john@HIDDEN>
Subject: Re: bug#53232: reopen 53232
References: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
 <CAJnXXoha85i_V4F8fm-+1T6pjw81=efVqdJfQD9S=cPQ3aJNbw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEXz8+/f39vT09Dh
 4t26urj////edVYYAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YBEREDLaoajYQAAAHBSURBVDjLZZSL
 kcMgDEQ500AkGjhkCgCrA8b913QrYYjt80wmDg9Jq19CuD8/Ijndfp/nOV4OA/UL4n69sIgkmOj0
 wNcFnAtpXSB8HkA1heeziXQEUc4vYLGViJjq49w87arMxP9A1xAhjT/vEBlXGwRIfYXYa6hqQG6O
 1ELg6w3U08a5v8hKMjbkIEkXqNNRK106QEssbBb1AlzOBdxVjR6hSTlLJ0LmLNmAqkkEOHvpOdME
 Hg7njBAGOBMXAzQASREAVEMu0JLbEJ8A+AiMhgWZTSOxw9PJAik1GqAYMZA5UCJyJX65nBamQEAw
 4QsgN7NxkM0PmavMkg6X1ndqcOUAzcN1pAlcUEsAtH4AaAbYm02EasANyQ6q9QLTQMnqFGQ+vdpv
 3iNqF+sE7AAmdh3FRskHgC8Aa5e3J4YJEKl7W9Y4v0BcIxD80OZlgK0ukPXw4HLfCFO1j3GZYAUB
 kDvYvqA9QPx9grymdW6Al/oa42iS0lT1iZmmRVoAFjViEkywbQgW/vgCdOHKY8MmHWOHApZL21S1
 pc/QGw1E38fsqhL84p+DEgf/G/mZeRyJsreFDKhvqtSGGmHSm1YsyR/9QWbj5YAxdAAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wMS0xN1QxNzowMzo0NSswMDowMFJIYWwAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDEtMTdUMTc6MDM6NDUrMDA6MDAjFdnQAAAAAElFTkSuQmCC
X-Now-Playing: The Cure's _Faith (1)_: "The Funeral Party"
Date: Mon, 17 Jan 2022 18:24:50 +0100
In-Reply-To: <CAJnXXoha85i_V4F8fm-+1T6pjw81=efVqdJfQD9S=cPQ3aJNbw@HIDDEN>
 (John Yates's message of "Sat, 15 Jan 2022 16:46:56 -0500")
Message-ID: <87ilui5l7h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  John Yates <john@HIDDEN> writes: > I originally
 reported this issue via email to emacs-devel. > Stefan suggested that I try
 early-init.el and suggested > that a bug report would be more appropriate.
 > > I attempted to use early-init. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53232
Cc: Po Lu <luangruo@HIDDEN>, 53232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

John Yates <john@HIDDEN> writes:

> I originally reported this issue via email to emacs-devel.
> Stefan suggested that I try early-init.el and suggested
> that a bug report would be more appropriate.
>
> I attempted to use early-init.el without success and
> so set about to submit a bug report.
>
> My previous erroneous repro case
>
>     emacs -Q --eval '(set-background-color "#000000")'
>
> was an attempt to comply with the advice in the bug
> template which asks for a -Q repro.

Ah, I see.  OK, reopening.

> That said, the sub-optimal behavior is real:
>
> * early-init.el:
>
>     (custom-set-variables
>      '(default-frame-alist
>        '((fullscreen . maximized)
>          (background-color . "#000000")
>          (foreground-color . "#ffffff")))
>      '(inhibit-startup-screen t)
>     )
>
> * init.el:
>
>     [EMPTY]

I'm unable to reproduce this with or without pgtk -- Emacs doesn't flash
the default background colour on startup, as far as I can tell.  (This
is on Debian/bookworm with Gnome Shell, if that matters.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 15 Jan 2022 21:47:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 16:47:15 2022
Received: from localhost ([127.0.0.1]:42114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8qtH-0005PE-LD
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:47:15 -0500
Received: from mail-vk1-f173.google.com ([209.85.221.173]:35561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.yates.sheets@HIDDEN>) id 1n8qtF-0005Ou-3b
 for 53232 <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:47:14 -0500
Received: by mail-vk1-f173.google.com with SMTP id 19so8023158vkl.2
 for <53232 <at> debbugs.gnu.org>; Sat, 15 Jan 2022 13:47:13 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=g00EJG1pGQh0q1++1qn1WanOUFJddRrQUieMgMM48bs=;
 b=glozKp7tMfThHxfkmTn5mA6FHICZsOJRLQAJEDgGhMCKhI4gW/5llZT+C67oA3MVNw
 mNooUUtqhacHk/5cKvcJ5rYZv66SKVWzuqJ2ZjxutH4qGYUDBoqb/xJtP04KPa3nomVw
 JZOOduY5Lzr3RkMXen9S6ERnKHyD9okU1/W8YLoum/JFtW3xNtFQEv6FB1JfZDMAap0k
 0Zv1pP7KwStmbDMZvKGrJWBpo1kIl1m8G8G0YBd3O/1zLJv6GBuceDZ1lstKEtGmy0PF
 lyhWUI6YE/OlZ+2MpESWAieiLnbOxWHOya+SbQPt2v3DMoV2K9jUGPo8sN6O4ENgJfJ3
 U6Uw==
X-Gm-Message-State: AOAM5319ljxVukQj2O7fLKEQW0q2s/tXXnMMdlcFNo1Yg1Lx3gOQewM1
 4xC2z4RAfmloe8IcPr7nI4VnH4g5cx3NxDwtIg7ceqV3d6r+fg==
X-Google-Smtp-Source: ABdhPJyCYIOs5SVGxUVgM3OLaqXrOPlqQAIyfSHBTLhiiuPg1HrrK5CR+iY7GfQKmEE6jEj0ZwStlb1XMCdlZ6q84nE=
X-Received: by 2002:a05:6122:218b:: with SMTP id
 j11mr2604041vkd.19.1642283227365; 
 Sat, 15 Jan 2022 13:47:07 -0800 (PST)
MIME-Version: 1.0
From: John Yates <john@HIDDEN>
Date: Sat, 15 Jan 2022 16:46:56 -0500
Message-ID: <CAJnXXoha85i_V4F8fm-+1T6pjw81=efVqdJfQD9S=cPQ3aJNbw@HIDDEN>
Subject: reopen 53232
To: 53232 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 53232
Cc: Po Lu <luangruo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

I originally reported this issue via email to emacs-devel.
Stefan suggested that I try early-init.el and suggested
that a bug report would be more appropriate.

I attempted to use early-init.el without success and
so set about to submit a bug report.

My previous erroneous repro case

    emacs -Q --eval '(set-background-color "#000000")'

was an attempt to comply with the advice in the bug
template which asks for a -Q repro.

That said, the sub-optimal behavior is real:

* early-init.el:

    (custom-set-variables
     '(default-frame-alist
       '((fullscreen . maximized)
         (background-color . "#000000")
         (foreground-color . "#ffffff")))
     '(inhibit-startup-screen t)
    )

* init.el:

    [EMPTY]

This time, before being so quick to close, please
confirm that any suggested fix actually works.

My confusion about sequencing makes me think that
there might be a place for an --early-eval option.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.
bug closed, send any further explanations to 53232 <at> debbugs.gnu.org and John Yates <john@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 15 Jan 2022 07:59:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 02:59:49 2022
Received: from localhost ([127.0.0.1]:38863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8dyX-0004xB-Lw
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 02:59:49 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8dyV-0004wu-W4
 for 53232 <at> debbugs.gnu.org; Sat, 15 Jan 2022 02:59:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vCpotA8NdpUnYHxyFkB9IPH5NYo9a52/1UrKkTaenbQ=; b=iJML22VpEB51NON4VYVwixDG9c
 yei5SkhGvLifdW1m6/IXZWJG1sGWOM5nNTP5aQb9hiBxxxQEJvgdt7Exmy86eYmRmNYWF++hl/K0f
 WOeAC2N4aUsKE4ZG4R1KBqjc8yauMyWFaNRfglCyIC2jTrINQ81j3ZJZj808mfRHTMDM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8dyM-0002Ns-06; Sat, 15 Jan 2022 08:59:40 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#53232: 29.0.50; pgtk startup: flashes white background
 before painting black
References: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
 <87fspqu52q.fsf@HIDDEN> <83y23i1qou.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX16t2UXz5VNytR
 MSfWlGD////m+Z8KAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YBDwc6ESOcg9cAAAGmSURBVDjLdZTb
 ldwgEEQ1Pg7A1eoEGpyAwAGAhvxjcjWPmdGulg8diUv1G23bT+sRguH72rZf2VeMKaYc3qsM8LED
 +FPbVOScwuf6ACRk8QZwaQ1ul2e+AGjb55ErELTnPcgh3gKY5Xvwd7v1kXDcOz+qafcRXyB0YPWo
 h3iqF4BoNSNhZf5YdtqJlhureAEhVQep+S4/3wptDlAYVaL3V1SGilMJMPr2AiogKCi9JmkByxCK
 tLTy7ImsssdsvQn6e3v2jrxAMqNX4+cV0Kr6EGjZnqm3/wKApmVnGqvnKfY6AVFRxyzIBdRkkBA4
 eXPgOjiosA7GiP1xMJwwkwMCizw5Qc/J9jmr4l2IHQTXJBnVdN8cbwd8cw1m/aO3bZjqLcj/9nDA
 EHaXTuddcpzpAKpEl8aloIS7LHCtonsP95H6TZNgWhWtMZ/KnUIQ1r2rqmcvGQb4uJKl+tPbSYCv
 QOycpl62MEzRk4N1zUU8KEwnBKwpmydrR8RP1m7KeNZz5hWUKXcwNlkOsG/vMPxfMoaadrSId9zC
 jIqmAlXVFctW+fGv9B9uV6ECSnYrMwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wMS0xNVQwNzo1
 ODoxNyswMDowMB4v7YEAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDEtMTVUMDc6NTg6MTcrMDA6
 MDBvclU9AAAAAElFTkSuQmCC
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (3)_: "Born To
 Take The Highway (Live at The 2nd Fret, Philadelphia, PA, 3-17-1967)"
Date: Sat, 15 Jan 2022 08:59:37 +0100
In-Reply-To: <83y23i1qou.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 14 Jan
 2022 13:50:57 +0200")
Message-ID: <878rvho2dy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> You get the same in
 a non-pgtk built, too -- and I think that's to be >> expected? Emacs first
 pops up the frame and then starts doing the >> --eval stuff, I think. > >
 Yes. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53232
Cc: 53232 <at> debbugs.gnu.org, john@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> You get the same in a non-pgtk built, too -- and I think that's to be
>> expected?  Emacs first pops up the frame and then starts doing the
>> --eval stuff, I think.
>
> Yes.

To summarise -- to avoid the flashes, you have to put something like

(add-to-list 'default-frame-alist '(background-color . "#000000"))

in the early-init.el file.  So I think everything works as designed
here, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 14 Jan 2022 11:51:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 06:51:08 2022
Received: from localhost ([127.0.0.1]:35778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8L6p-00019o-Qn
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 06:51:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8L6l-00019E-OV
 for 53232 <at> debbugs.gnu.org; Fri, 14 Jan 2022 06:51:06 -0500
Received: from [2001:470:142:3::e] (port=52302 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8L6f-00035M-T5; Fri, 14 Jan 2022 06:50:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=QqTYIr0XgdwwsV2AvnJj8d5t7JP2d7Pk+Z1HoR2mts8=; b=rzHdSzPZF8Kn
 B8LdXY1cs3nwN2q14NYPhn0KDauT1DXgzRsGHq2rYQdw7zMkzOmY0PJMu/pmizr5U3Y3ljsnUahuD
 rd7G37pEQI1k0mvTA72fvW7H1jG2ABvQbkOK+7j2alFX8pO1xSoB3JDWJjMbpviOqHqGnAK3jvbCA
 Slj55LkGXa6Qx3re6MPLuuu6ZAuYtMfy1Uj506jsNi+lGYs8ICiShINj4cIuooq8bRd1JfuonX7Qd
 4NCTmpUw2fmvC3nkPdLawlLqkRyFRH4xaTXeYSQGNxRYJrBPtS2Djtp7XYSXTX1lTp62f7LBJ1f8R
 K7UQO/0nDZh4OxSU+++jOg==;
Received: from [87.69.77.57] (port=3727 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8L6f-0005n8-Vo; Fri, 14 Jan 2022 06:50:58 -0500
Date: Fri, 14 Jan 2022 13:50:57 +0200
Message-Id: <83y23i1qou.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87fspqu52q.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 14 Jan 2022 08:52:45 +0100)
Subject: Re: bug#53232: 29.0.50;
 pgtk startup: flashes white background before painting black
References: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
 <87fspqu52q.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53232
Cc: 53232 <at> debbugs.gnu.org, john@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Fri, 14 Jan 2022 08:52:45 +0100
> Cc: 53232 <at> debbugs.gnu.org
> 
> John Yates <john@HIDDEN> writes:
> 
> > emacs -Q --eval '(set-background-color "#000000")'
> 
> You get the same in a non-pgtk built, too -- and I think that's to be
> expected?  Emacs first pops up the frame and then starts doing the
> --eval stuff, I think.

Yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53232 <at> debbugs.gnu.org:


Received: (at 53232) by debbugs.gnu.org; 14 Jan 2022 07:52:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 02:52:57 2022
Received: from localhost ([127.0.0.1]:35346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8HOL-0001Mz-3c
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 02:52:57 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8HOJ-0001Mg-7p
 for 53232 <at> debbugs.gnu.org; Fri, 14 Jan 2022 02:52:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Dr6d5qRjyI6279o8qw9RyLw+HE/PJGdTM9JQpbq+wOk=; b=IEQP6G64i8M1LwaPtWtqzBWFk9
 C4e50qF5H6kcXb8zH9zYmPbBUlOVLnCgQ56MoNvuuLiIoqJdR/m0PUsBNtVN58cHKpMiCDX6+yNDk
 vpjY1oIBjLEo3q5WowHj0l6H5AzVM3Kx4lWUEUiNWHhNyyZwemxmMlSpzAEog5Yzretc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8HOA-0001S4-EB; Fri, 14 Jan 2022 08:52:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: John Yates <john@HIDDEN>
Subject: Re: bug#53232: 29.0.50; pgtk startup: flashes white background
 before painting black
References: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
X-Now-Playing: Various's _I Wanna Be Kate: The Songs of Kate Bush_: "And
 Dream Of Sheep (2020 Remaster)"
Date: Fri, 14 Jan 2022 08:52:45 +0100
In-Reply-To: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
 (John Yates's message of "Thu, 13 Jan 2022 11:50:59 -0500")
Message-ID: <87fspqu52q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: John Yates <john@HIDDEN> writes: > emacs -Q --eval
 '(set-background-color "#000000")' You get the same in a non-pgtk built,
 too -- and I think that's to be expected? Emacs first pops up the frame and
 then starts doing the --eval stuff, I think. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53232
Cc: 53232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

John Yates <john@HIDDEN> writes:

> emacs -Q --eval '(set-background-color "#000000")'

You get the same in a non-pgtk built, too -- and I think that's to be
expected?  Emacs first pops up the frame and then starts doing the
--eval stuff, I think.

If you want to set the background colour in this manner, putting it in
the early init file should do the trick, if I remember correctly.

So I think everything here works as designed?  Anybody have any comments
here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2022 16:51:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 11:51:27 2022
Received: from localhost ([127.0.0.1]:34381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n83Jv-0001K9-GQ
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 11:51:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:54048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.yates.sheets@HIDDEN>) id 1n83Jq-0001Jx-9y
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 11:51:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46596)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john.yates.sheets@HIDDEN>)
 id 1n83Jp-0006iT-Hl
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jan 2022 11:51:22 -0500
Received: from mail-ua1-f49.google.com ([209.85.222.49]:36711)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <john.yates.sheets@HIDDEN>)
 id 1n83Jm-0004Bp-Kb
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jan 2022 11:51:20 -0500
Received: by mail-ua1-f49.google.com with SMTP id r15so12322488uao.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 13 Jan 2022 08:51:10 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=rw43IuSbObPmQ2JfBmOJOZF4PbJBH3R7+3z9zDJpBDI=;
 b=bx7wo/MuumMpj8+S1heN3wC78eR4Es24COa3ODQBJ6W4/tXlRM1DMfjDo/DSaBzvje
 IjdVc8qiNvUXkSC8I91v6Qi8bhw9GSZDKdi5d1GVLKb3972tvGZMzSJRois22v7xnTRY
 y6Acml0N+hf8LnzPyckPmcplqDRnaE0VVSF5b2eEtFrMk+BQwvSpQNEc7kXn9hd/woJ4
 D8zOiYsl90R1rQnNSVBe/iuclFdk0voIxg2tel0+6P0vsD3IpIBwuRqZST1I2eH7pTbq
 6nKVodnHcH/vGGhi4uYUnfH9YPq0GS8TC+XNSlatBfrZ643gDJpdktwPIyphu13gD7tb
 X06Q==
X-Gm-Message-State: AOAM533sAHfzzdmOtYW5/czQqiyIuH6Ms2ZkGTn80c/XYrI0+jr0g0z8
 F8dmFd8ONJ12zpV4IBJslt7CPjYlEmrDJxf9Mys95987mYYJrw==
X-Google-Smtp-Source: ABdhPJzFYbiAb/s58pbXjpk46prkE5kTuWLwieiNgLjU8G193T0EI469sElqgC+Vd3wbhNF+WHHJgnbPBIsm5fhFJKk=
X-Received: by 2002:a05:6102:3ecc:: with SMTP id
 n12mr2611574vsv.78.1642092670017; 
 Thu, 13 Jan 2022 08:51:10 -0800 (PST)
MIME-Version: 1.0
From: John Yates <john@HIDDEN>
Date: Thu, 13 Jan 2022 11:50:59 -0500
Message-ID: <CAJnXXoiiPJtyCDQ-gbZwKUk79O6VD8n7xL_8dcayxb+Rxm5_Ww@HIDDEN>
Subject: 29.0.50; pgtk startup: flashes white background before painting black
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.222.49;
 envelope-from=john.yates.sheets@HIDDEN; helo=mail-ua1-f49.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

emacs -Q --eval '(set-background-color "#000000")'

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.30, cairo version 1.16.0)
 of 2022-01-12 built on envy
Repository revision: 492bf1e06edb4324a643ccb15dd6062762145f17
Repository branch: master
System Description: Ubuntu 21.10

Configured using:
 'configure --prefix=/usr/local/emacs
 '--program-transform-name=s/^ctags$/ctags.emacs/' --disable-year2038
 --disable-acl --with-modules --with-json --with-file-notification
 --with-native-compilation --with-xwidgets --with-pgtk'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP XIM XWIDGETS GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search seq gv byte-opt
bytecomp byte-compile cconv mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date subr-x cl-loaddefs
cl-lib iso-transl tooltip eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads xwidget-internal dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit pgtk lcms2 multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 56373 12796)
 (symbols 48 5673 1)
 (strings 32 16368 1519)
 (string-bytes 1 536457)
 (vectors 16 11775)
 (vector-slots 8 264630 17626)
 (floats 8 25 40)
 (intervals 56 213 0)
 (buffers 992 10))


-- 
John Yates
505 Tremont St, #803
Boston, MA 02116




Acknowledgement sent to John Yates <john@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53232; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 Jan 2022 21:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.